# Method: accounts.users.list

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.users/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.users/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.users/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.users/list#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.users/list#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.users/list#body.ListUsersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.users/list#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.users/list#try-it)

Lists all users of a Merchant Center account.

### HTTP request

`GET https://merchantapi.googleapis.com/accounts/v1/{parent=accounts/*}/users`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of users. Format: `accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of users to return. The service may return fewer than this value. If unspecified, at most 50 users will be returned. The maximum value is 100; values above 100 will be coerced to 100 |
| `pageToken` | `string` Optional. A page token, received from a previous `users.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `users.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the `users.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "users": [ { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.users#User`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `users[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.users#User`)`` The users from the specified account. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).